summaryrefslogtreecommitdiff
path: root/debian/mailgraph.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/mailgraph.postinst')
-rw-r--r--debian/mailgraph.postinst63
1 files changed, 63 insertions, 0 deletions
diff --git a/debian/mailgraph.postinst b/debian/mailgraph.postinst
new file mode 100644
index 0000000..4dea08d
--- /dev/null
+++ b/debian/mailgraph.postinst
@@ -0,0 +1,63 @@
+#! /bin/sh
+# postinst script for mailgraph
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+. /usr/share/debconf/confmodule
+DF=/etc/default/mailgraph
+
+case "$1" in
+ configure)
+
+ db_get mailgraph/start_on_boot || true
+ BOOT_START=$RET
+
+ db_get mailgraph/mail_log || true
+ MAIL_LOG=$RET
+
+ db_get mailgraph/ignore_localhost
+ IGNORE_LOCALHOST=$RET
+
+ if [ -w $DF ]; then
+ TEMPFILE=`mktemp` || exit 1
+ sed $DF -e "s,^ *BOOT_START=.*,BOOT_START=$BOOT_START," \
+ -e "s,^ *MAIL_LOG=.*,MAIL_LOG=$MAIL_LOG," \
+ -e "s,^ *IGNORE_LOCALHOST=.*,IGNORE_LOCALHOST=$IGNORE_LOCALHOST," \
+ > $TEMPFILE
+ mv -f $TEMPFILE $DF
+ chmod 644 $DF
+ fi
+
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+